#
# Conditional build
%bcond_without	single		# without single precision library
#
Summary:	Fast Fourier Transform library
Summary(pl.UTF-8):	Biblioteka z funkcjami szybkiej transformaty Fouriera
Summary(pt_BR.UTF-8):	Biblioteca fast Fourier transform
Name:		fftw
Version:	2.1.5
Release:	7
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.fftw.org/pub/fftw/%{name}-%{version}.tar.gz
# Source0-md5:	8d16a84f3ca02a785ef9eb36249ba433
Patch0:		%{name}-info.patch
Patch1:		%{name}-link.patch
Patch2:		doctex.patch
URL:		http://www.fftw.org/
BuildRequires:	autoconf
BuildRequires:	automake
# to detect proper F77 name mangling for fortran binding functions
BuildRequires:	gcc-g77
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FFTW is a collection of fast C routines for computing the Discrete
Fourier Transform in one or more dimensions. It includes complex,
real, and parallel transforms, and can handle arbitrary array sizes
efficiently. This RPM package includes the single and double precision
FFTW uniprocessor and threads libraries.

%description -l pl.UTF-8
FFTW jest zbiorem szybkich funkcji C do obliczania dyskretnych
transformat Fouriera w jednym lub więcej wymiarach. Zawiera również
zespolone, rzeczywiste oraz równoległe transformaty i potrafi wydajnie
radzić sobie z tablicami o dowolnych rozmiarach. Ten pakiet RPM
zawiera wersje FFTW o pojedyńczej i podwójnej precyzji dla architektur
jednoprocesorowych oraz z obsługą wątków.

%description -l pt_BR.UTF-8
FFTW é uma coleção de rotinas rápidas em C para computar a Discrete
Fourier Transform em uma ou mais dimensões. Incluindo transformações
complexas, reais e paralelas, também pode manipular vetores de tamanho
arbitrário eficientemente. Esse pacote RPM inclui bibliotecas FFTW com
suporte a threads, normal e dupla precisão (Os arquivos de precisão
normal tem um prefixo "s").

%package devel
Summary:	Header files and development documentation for FFTW library
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do biblioteki FFTW
Summary(pt_BR.UTF-8):	Headers e documentação do pacote FFTW
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the additional header files and documentation
you need to develop programs using the FFTW (fast Fourier transform
library).

%description devel -l pl.UTF-8
Ten pakiet zawiera dodatkowe pliki nagłówkowe oraz dokumentację do
tworzenia programów używających biblioteki FFTW (fast Fourier
transform library).

%description devel -l pt_BR.UTF-8
Este pacote contém documentação e headers adicionais para desenvolver
programas usando a FFTW.

%package static
Summary:	Static FFTW libraries
Summary(pl.UTF-8):	Statyczne biblioteki FFTW
Summary(pt_BR.UTF-8):	bibliotecas estáticas do pacote FFTW
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static FFTW libraries.

%description static -l pl.UTF-8
Statyczne biblioteki FFTW.

%description static -l pt_BR.UTF-8
Este pacote contém as bibliotecas estáticas do pacote FFTW.

%package single
Summary:	Single-precision Fast Fourier Transform libraries
Summary(pl.UTF-8):	Biblioteki szybkiej transformaty Fouriera pojedynczej precyzji
Group:		Libraries
Conflicts:	fftw < 2.1.5-4

%description single
Single-precision Fast Fourier Transform libraries.

%description single -l pl.UTF-8
Biblioteki szybkiej transformaty Fouriera pojedynczej precyzji.

%package single-devel
Summary:	Header files for single-precision FFTW libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek FFTW pojedynczej precyzji
Group:		Development/Libraries
Requires:	%{name}-single = %{version}-%{release}

%description single-devel
Header files for single-precision FFTW libraries.

%description single-devel -l pl.UTF-8
Pliki nagłówkowe bibliotek FFTW pojedynczej precyzji.

%package single-static
Summary:	Static single-precision FFTW libraries
Summary(pl.UTF-8):	Statyczne biblioteki FFTW pojedynczej precyzji
Group:		Development/Libraries
Requires:	%{name}-single-devel = %{version}-%{release}

%description single-static
Static single-precision FFTW libraries.

%description single-static -l pl.UTF-8
Statyczne biblioteki FFTW pojedynczej precyzji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# don't use pregenerated file
rm -f fftw/config.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with single}
install -d build-single
cd build-single
../%configure \
%ifarch %{ix86}
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-threads \
	--enable-float \
	--enable-type-prefix \
	--%{!?debug:dis}%{?debug:en}able-debug

%{__make}
cd ..
%endif

install -d build-double
cd build-double
../%configure \
%ifarch %{ix86}
	--enable-i386-hacks \
%endif
	--enable-shared \
	--enable-threads \
	--%{!?debug:dis}%{?debug:en}able-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-single install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C build-double install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun devel	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%post	single -p /sbin/ldconfig
%postun	single -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfftw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfftw.so.2
%attr(755,root,root) %{_libdir}/libfftw_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfftw_threads.so.2
%attr(755,root,root) %{_libdir}/librfftw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librfftw.so.2
%attr(755,root,root) %{_libdir}/librfftw_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librfftw_threads.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfftw.so
%attr(755,root,root) %{_libdir}/libfftw_threads.so
%attr(755,root,root) %{_libdir}/librfftw.so
%attr(755,root,root) %{_libdir}/librfftw_threads.so
%{_libdir}/libfftw.la
%{_libdir}/libfftw_threads.la
%{_libdir}/librfftw.la
%{_libdir}/librfftw_threads.la
%{_includedir}/fftw*.h
%{_includedir}/rfftw*.h
%{_infodir}/fftw.info*

%files static
%defattr(644,root,root,755)
%{_libdir}/libfftw.a
%{_libdir}/libfftw_threads.a
%{_libdir}/librfftw.a
%{_libdir}/librfftw_threads.a

%files single
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsfftw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsfftw.so.2
%attr(755,root,root) %{_libdir}/libsfftw_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsfftw_threads.so.2
%attr(755,root,root) %{_libdir}/libsrfftw.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsrfftw.so.2
%attr(755,root,root) %{_libdir}/libsrfftw_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsrfftw_threads.so.2

%files single-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsfftw.so
%attr(755,root,root) %{_libdir}/libsfftw_threads.so
%attr(755,root,root) %{_libdir}/libsrfftw.so
%attr(755,root,root) %{_libdir}/libsrfftw_threads.so
%{_libdir}/libsfftw.la
%{_libdir}/libsfftw_threads.la
%{_libdir}/libsrfftw.la
%{_libdir}/libsrfftw_threads.la
%{_includedir}/sfftw*.h
%{_includedir}/srfftw*.h

%files single-static
%defattr(644,root,root,755)
%{_libdir}/libsfftw.a
%{_libdir}/libsfftw_threads.a
%{_libdir}/libsrfftw.a
%{_libdir}/libsrfftw_threads.a
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fftw.git;a=log;h=master

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> b14f0d1
- x32 rebuild
- release 7 (by relup.sh)

* Wed Jan 22 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 817f3e0
- added doctex.patch
- ghost soname symlinks
- rel 6

* Wed Jan 22 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 64d2adf
- texi compilation fix taken from Arch

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> e823cc8
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 15431a1
- rel 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 01db682
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> df8dfd0
- converted to UTF-8

* Sun Jan 28 2007 Elan Ruusamäe <glen@pld-linux.org> f5c5a55
- only cvs changelog

* Sun Dec 31 2006 Jakub Bogusz <qboosh@pld-linux.org> 5dd98a8
- added link patch
- changed double build to using two builddirs
- separated -single* packages (like in fftw3.spec)
- BR: gcc-g77 (to detect name mangling scheme for binding functions)
- release 4

* Sun Dec 31 2006 Jakub Bogusz <qboosh@pld-linux.org> 0525b77
- fix lib*rfftw and lib*fftw_threads linking

* Sat Aug 12 2006 ankry <ankry@pld-linux.org> 48feaff
- formatting

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> e7452b6
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sat Jan 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 4130aca
- kill Icon: field (support for these is obsolete says jbj)

* Thu Aug 11 2005 radek <radek@pld-linux.org> e9bde48
- bcond_with(out) is followed by one \t, then bcond's name.

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 303535d
- no "libraries" in -devel

* Sun Jun 26 2005 Jakub Bogusz <qboosh@pld-linux.org> 4005043
- unified

* Sun Jun 26 2005 freetz <freetz@pld-linux.org> 08ae08b
- strict internal deps

* Sun Jun 26 2005 freetz <freetz@pld-linux.org> e153fe9
- simplified, rel.3

* Sat Jun 25 2005 blekot <blekot@pld-linux.org> 854773d
- build fix

* Sat Jun 25 2005 blekot <blekot@pld-linux.org> f81ad1b
- description updated
- single precision is now build in subirectory

